var FRegularExpressions = null;

function ebayInPageCreateRegularExpressions(date) {
    if (!FRegularExpressions) {
        FRegularExpressions = new RegularExpressions();
        FRegularExpressions.init(date);
    }
}

function ebayInPageUnloadRegularExpressions() {
    FRegularExpressions = null;
}

function RegularExpressions() {
    return this;
}

function Marketplace(){
         this.keyword = "";
         this.keywordSubstitute = "";
         this.isPage =  "";
         this.isPageSubstitute =  "";
         this.isDetailPage =  "";
         this.isDetailPageSubstitute =  "";
         this.keywordDetail =  "";
         this.keywordDetailSubstitute =  "";
}


RegularExpressions.prototype =
{
        downloadSucceeded: false,
        AmazonDe: null,
        AmazonCom: null,
        AmazonCoUk: null,
        GoogleDe: null,
        GoogleCom: null,
        GoogleCoUk: null,
        OttoDe  : null,
        GuenstigerDe: null,
        ElectronicScoutDe: null,
        TOnlineShoppingDe: null,
        QuelleDe: null,
        CiaoDe: null,
        CiaoCoUk: null,
        CheckAPriceCoUk: null,
        BizRateCom: null,
        SmarterDealsCom: null,
        PreisvergleichDe: null,
        IdealoDe: null,
        DooyooDe: null,
        DooyooCoUk: null,
        GeizkragenDe: null,
        YategoDe: null,
        SmartShoppingDe: null,
        MyToysDe: null,
        KarstadtDe: null,
        Discount24De: null,
        PreistrendDe: null,
        EvendiDe: null,
        ShopperCom: null,
        NextagCom: null,
        ArgosCoUk: null,
        PriceRunnerCoUk: null,
        PriceGrabberCom: null,
        FroogleDe: null,
        FroogleCom: null,
        FroogleCoUk: null,
        ShopzillaDe: null,
        ShopzillaCom: null,
        PreisroboterDe: null,
        GaleriaKaufhofDe: null,

        lastDownloadDate: "Sat, 1 Jan 2000 00:00:00 GMT",

	init: function(date) {
            try {
                var xml_feed = "http://www.buyertools.net/quicksearch_extension/regexp/regexpr4.xml";

                this.lastDownloadDate = date;
                var now = new Date();
                var lastUpdate = Date.parse(this.lastDownloadDate);
                var dauer = now.getTime()-lastUpdate;
                this.AmazonDe = new Marketplace();
                this.AmazonCoUk = new Marketplace();
                this.AmazonCom = new Marketplace();
                this.GoogleDe = new Marketplace();
                this.GoogleCom = new Marketplace();
                this.GoogleCoUk = new Marketplace();
                this.OttoDe = new Marketplace();
                this.GuenstigerDe = new Marketplace();
                this.ElectronicScoutDe = new Marketplace();
                this.TOnlineShoppingDe = new Marketplace();
                this.QuelleDe = new Marketplace();
                this.CiaoDe = new Marketplace();
                this.CiaoCoUk = new Marketplace();
                this.CheckAPriceCoUk = new Marketplace();
                this.BizRateCom = new Marketplace();
                this.SmarterDealsCom = new Marketplace();
                this.PreisvergleichDe = new Marketplace();
                this.IdealoDe = new Marketplace();
                this.IdealoCom = new Marketplace();
                this.IdealoCoUk = new Marketplace();
                this.DooyooDe = new Marketplace();
                this.DooyooCoUk = new Marketplace();
                this.GeizkragenDe = new Marketplace();
                this.YategoDe = new Marketplace();
                this.SmartShoppingDe = new Marketplace();
                this.MyToysDe = new Marketplace();
                this.KarstadtDe = new Marketplace();
                this.Discount24De = new Marketplace();
                this.PreistrendDe = new Marketplace();
                this.EvendiDe = new Marketplace();
                this.ShopperCom = new Marketplace();
                this.NextagCom = new Marketplace();
                this.ArgosCoUk = new Marketplace();
                this.PriceRunnerCoUk = new Marketplace();
                this.PriceGrabberCom = new Marketplace();
                this.FroogleDe = new Marketplace();
                this.FroogleCoUk = new Marketplace();
                this.FroogleCom = new Marketplace();
                this.ShopzillaDe = new Marketplace();
                this.ShopzillaCom = new Marketplace();
                this.PreisroboterDe = new Marketplace();
                this.GaleriaKaufhofDe = new Marketplace();


                // Wenn mehr als 2 Stunden vergangen sind, download starten
             //   if (dauer > 7200000) {
                    this.loadXMLDoc(xml_feed);
               // } else {
//                    this.loadValuesFromPreferences();
  //
              //}
            }catch(e) {/*alert("Init Regexpressions: " + e); */}
        },

        loadValuesFromPreferences: function() {
            var eBayPrefManager = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
            this.GoogleDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordGoogleDE");
            this.GoogleDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordGoogleDESubstitute");
            this.GoogleDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isGoogleDE");
            this.GoogleDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGoogleDESubstitute");

            this.GoogleCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordGoogleCoUk");
            this.GoogleCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordGoogleCoUkSubstitute");
            this.GoogleCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isGoogleCoUk");
            this.GoogleCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGoogleCoUkSubstitute");

            this.GoogleCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordGoogleCom");
            this.GoogleCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordGoogleComSubstitute");
            this.GoogleCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isGoogleCom");
            this.GoogleCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGoogleComSubstitute");

            this.OttoDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordOtto");
            this.OttoDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordOttoSubstitute");
            this.OttoDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isOtto");
            this.OttoDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isOttoSubstitute");
            this.OttoDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailOtto");
            this.OttoDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailOttoSubstitute");
            this.OttoDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isOttoDetail");
            this.OttoDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isOttoDetailSubstitute");

            this.AmazonDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordAmazonDE");
            this.AmazonDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordAmazonDESubstitute");
            this.AmazonDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonDE");
            this.AmazonDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonDESubstitute");
            this.AmazonDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailAmazonDE");
            this.AmazonDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailAmazonDESubstitute");
            this.AmazonDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonDEDetail");
            this.AmazonDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonDEDetailSubstitute");

            this.AmazonCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordAmazonCom");
            this.AmazonCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordAmazonComSubstitute");
            this.AmazonCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonCom");
            this.AmazonCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonComSubstitute");
            this.AmazonCom.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailAmazonCom");
            this.AmazonCom.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailAmazonComSubstitute");
            this.AmazonCom.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonComDetail");
            this.AmazonCom.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonComDetailSubstitute");

            this.AmazonCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordAmazonCoUk");
            this.AmazonCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordAmazonCoUkSubstitute");
            this.AmazonCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonCoUk");
            this.AmazonCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonCoUkSubstitute");
            this.AmazonCoUk.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailAmazonCoUk");
            this.AmazonCoUk.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailAmazonCoUkSubstitute");
            this.AmazonCoUk.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonCoUkDetail");
            this.AmazonCoUk.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isAmazonCoUkDetailSubstitute");

            this.GuenstigerDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordGuenstiger");
            this.GuenstigerDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordGuenstigerSubstitute");
            this.GuenstigerDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isGuenstiger");
            this.GuenstigerDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGuenstigerSubstitute");
            this.GuenstigerDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailGuenstiger");
            this.GuenstigerDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailGuenstigerSubstitute");
            this.GuenstigerDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isGuenstigerDetail");
            this.GuenstigerDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGuenstigerDetailSubstitute");

            this.ElectronicScoutDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordElectronicScout");
            this.ElectronicScoutDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordElectronicScoutSubstitute");
            this.ElectronicScoutDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isElectronicScout");
            this.ElectronicScoutDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isElectronicScoutSubstitute");
            this.ElectronicScoutDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailElectronicScout");
            this.ElectronicScoutDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailElectronicScoutSubstitute");
            this.ElectronicScoutDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isElectronicScoutDetail");
            this.ElectronicScoutDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isElectronicScoutDetailSubstitute");

            this.TOnlineShoppingDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordTOnlineShopping");
            this.TOnlineShoppingDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordTOnlineShoppingSubstitute");
            this.TOnlineShoppingDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isTOnlineShopping");
            this.TOnlineShoppingDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isTOnlineShoppingSubstitute");

            this.QuelleDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordQuelle");
            this.QuelleDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordQuelleSubstitute");
            this.QuelleDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isQuelle");
            this.QuelleDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isQuelleSubstitute");
            this.QuelleDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailQuelle");
            this.QuelleDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailQuelleSubstitute");
            this.QuelleDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isQuelleDetail");
            this.QuelleDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isQuelleDetailSubstitute");

            this.CiaoDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordCiaoDe");
            this.CiaoDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordCiaoDeSubstitute");
            this.CiaoDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isCiaoDe");
            this.CiaoDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isCiaoDeSubstitute");

            this.CiaoCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordCiaoCoUk");
            this.CiaoCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordCiaoCoUkSubstitute");
            this.CiaoCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isCiaoCoUk");
            this.CiaoCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isCiaoCoUkSubstitute");

            this.CheckAPriceCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordCheckAPriceCoUk");
            this.CheckAPriceCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordCheckAPriceCoUkSubstitute");
            this.CheckAPriceCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isCheckAPriceCoUk");
            this.CheckAPriceCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isCheckAPriceCoUkSubstitute");

            this.BizRateCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordBizRateCom");
            this.BizRateCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordBizRateComSubstitute");
            this.BizRateCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isBizRateCom");
            this.BizRateCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isBizRateComSubstitute");

            this.SmarterDealsCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordSmarterDealsCom");
            this.SmarterDealsCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordSmarterDealsComSubstitute");
            this.SmarterDealsCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isSmarterDealsCom");
            this.SmarterDealsCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isSmarterDealsComSubstitute");

            this.PreisvergleichDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordPreisvergleichDe");
            this.PreisvergleichDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordPreisvergleichDeSubstitute");
            this.PreisvergleichDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isPreisvergleichDe");
            this.PreisvergleichDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPreisvergleichDeSubstitute");

            this.IdealoDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordIdealoDe");
            this.IdealoDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordIdealoDeSubstitute");
            this.IdealoDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoDe");
            this.IdealoDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoDeSubstitute");
            this.IdealoDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailIdealoDe");
            this.IdealoDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailIdealoDeSubstitute");
            this.IdealoDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoDeDetail");
            this.IdealoDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoDeDetailSubstitute");

            this.IdealoCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordIdealoCoUk");
            this.IdealoCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordIdealoCoUkSubstitute");
            this.IdealoCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoCoUk");
            this.IdealoCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoCoUkSubstitute");
            this.IdealoCoUk.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailIdealoCoUk");
            this.IdealoCoUk.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailIdealoCoUkSubstitute");
            this.IdealoCoUk.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoCoUkDetail");
            this.IdealoCoUk.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoCoUkDetailSubstitute");

            this.IdealoCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordIdealoCom");
            this.IdealoCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordIdealoComSubstitute");
            this.IdealoCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoCom");
            this.IdealoCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoComSubstitute");
            this.IdealoCom.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailIdealoCom");
            this.IdealoCom.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailIdealoComSubstitute");
            this.IdealoCom.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoComDetail");
            this.IdealoCom.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isIdealoComDetailSubstitute");

            this.DooyooDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordDooyooDe");
            this.DooyooDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDooyooDeSubstitute");
            this.DooyooDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooDe");
            this.DooyooDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooDeSubstitute");
            this.DooyooDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailDooyooDe");
            this.DooyooDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailDooyooDeSubstitute");
            this.DooyooDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooDeDetail");
            this.DooyooDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooDeDetailSubstitute");

            this.DooyooCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordDooyooCoUk");
            this.DooyooCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDooyooCoUkSubstitute");
            this.DooyooCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooCoUk");
            this.DooyooCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooCoUkSubstitute");
            this.DooyooCoUk.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailDooyooCoUk");
            this.DooyooCoUk.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailDooyooCoUkSubstitute");
            this.DooyooCoUk.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooCoUkDetail");
            this.DooyooCoUk.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isDooyooCoUkDetailSubstitute");

            this.GeizkragenDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordGeizkragenDe");
            this.GeizkragenDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordGeizkragenDeSubstitute");
            this.GeizkragenDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isGeizkragenDe");
            this.GeizkragenDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGeizkragenDeSubstitute");
            this.GeizkragenDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailGeizkragenDe");
            this.GeizkragenDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailGeizkragenDeSubstitute");
            this.GeizkragenDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isGeizkragenDeDetail");
            this.GeizkragenDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGeizkragenDeDetailSubstitute");

            this.YategoDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordYategoDe");
            this.YategoDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordYategoDeSubstitute");
            this.YategoDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDe");
            this.YategoDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDeSubstitute");
            this.YategoDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailYategoDe");
            this.YategoDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailYategoDeSubstitute");
            this.YategoDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDeDetail");
            this.YategoDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDeDetailSubstitute");

            this.YategoDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordYategoDe");
            this.YategoDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordYategoDeSubstitute");
            this.YategoDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDe");
            this.YategoDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDeSubstitute");
            this.YategoDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailYategoDe");
            this.YategoDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailYategoDeSubstitute");
            this.YategoDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDeDetail");
            this.YategoDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isYategoDeDetailSubstitute");

            this.SmartShoppingDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordSmartShoppingDe");
            this.SmartShoppingDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordSmartShoppingDeSubstitute");
            this.SmartShoppingDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isSmartShoppingDe");
            this.SmartShoppingDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isSmartShoppingDeSubstitute");
            this.SmartShoppingDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailSmartShoppingDe");
            this.SmartShoppingDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailSmartShoppingDeSubstitute");
            this.SmartShoppingDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isSmartShoppingDeDetail");
            this.SmartShoppingDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isSmartShoppingDeDetailSubstitute");

            this.MyToysDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordMyToysDe");
            this.MyToysDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordMyToysDeSubstitute");
            this.MyToysDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isMyToysDe");
            this.MyToysDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isMyToysDeSubstitute");
            this.MyToysDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailMyToysDe");
            this.MyToysDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailMyToysDeSubstitute");
            this.MyToysDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isMyToysDeDetail");
            this.MyToysDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isMyToysDeDetailSubstitute");

            this.KarstadtDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordKarstadtDe");
            this.KarstadtDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordKarstadtDeSubstitute");
            this.KarstadtDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isKarstadtDe");
            this.KarstadtDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isKarstadtDeSubstitute");
            this.KarstadtDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailKarstadtDe");
            this.KarstadtDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailKarstadtDeSubstitute");
            this.KarstadtDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isKarstadtDeDetail");
            this.KarstadtDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isKarstadtDeDetailSubstitute");

            this.Discount24De.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordDiscount24De");
            this.Discount24De.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDiscount24DeSubstitute");
            this.Discount24De.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isDiscount24De");
            this.Discount24De.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isDiscount24DeSubstitute");
            this.Discount24De.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailDiscount24De");
            this.Discount24De.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailDiscount24DeSubstitute");
            this.Discount24De.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isDiscount24DeDetail");
            this.Discount24De.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isDiscount24DeDetailSubstitute");

            this.PreistrendDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordPreistrendDe");
            this.PreistrendDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordPreistrendDeSubstitute");
            this.PreistrendDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isPreistrendDe");
            this.PreistrendDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPreistrendDeSubstitute");
            this.PreistrendDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailPreistrendDe");
            this.PreistrendDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailPreistrendDeSubstitute");
            this.PreistrendDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isPreistrendDeDetail");
            this.PreistrendDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPreistrendDeDetailSubstitute");

            this.EvendiDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordEvendiDe");
            this.EvendiDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordEvendiDeSubstitute");
            this.EvendiDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isEvendiDe");
            this.EvendiDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isEvendiDeSubstitute");
            this.EvendiDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailEvendiDe");
            this.EvendiDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailEvendiDeSubstitute");
            this.EvendiDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isEvendiDeDetail");
            this.EvendiDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isEvendiDeDetailSubstitute");

            this.ShopperCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordShopperCom");
            this.ShopperCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordShopperComSubstitute");
            this.ShopperCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isShopperCom");
            this.ShopperCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isShopperComSubstitute");
            this.ShopperCom.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailShopperCom");
            this.ShopperCom.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailShopperComSubstitute");
            this.ShopperCom.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isShopperComDetail");
            this.ShopperCom.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isShopperComDetailSubstitute");

            this.NextagCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordNextagCom");
            this.NextagCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordNextagComSubstitute");
            this.NextagCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isNextagCom");
            this.NextagCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isNextagComSubstitute");
            this.NextagCom.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailNextagCom");
            this.NextagCom.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailNextagComSubstitute");
            this.NextagCom.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isNextagComDetail");
            this.NextagCom.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isNextagComDetailSubstitute");

            this.ArgosCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordArgosCoUk");
            this.ArgosCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordArgosCoUkSubstitute");
            this.ArgosCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isArgosCoUk");
            this.ArgosCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isArgosCoUkSubstitute");
            this.ArgosCoUk.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailArgosCoUk");
            this.ArgosCoUk.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailArgosCoUkSubstitute");
            this.ArgosCoUk.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isArgosCoUkDetail");
            this.ArgosCoUk.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isArgosCoUkDetailSubstitute");

            this.PriceRunnerCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordPriceRunnerCoUk");
            this.PriceRunnerCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordPriceRunnerCoUkSubstitute");
            this.PriceRunnerCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isPriceRunnerCoUk");
            this.PriceRunnerCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPriceRunnerCoUkSubstitute");
            this.PriceRunnerCoUk.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailPriceRunnerCoUk");
            this.PriceRunnerCoUk.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailPriceRunnerCoUkSubstitute");
            this.PriceRunnerCoUk.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isPriceRunnerCoUkDetail");
            this.PriceRunnerCoUk.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPriceRunnerCoUkDetailSubstitute");

            this.PriceGrabberCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordPriceGrabberCom");
            this.PriceGrabberCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordPriceGrabberComSubstitute");
            this.PriceGrabberCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isPriceGrabberCom");
            this.PriceGrabberCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPriceGrabberComSubstitute");
            this.PriceGrabberCom.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailPriceGrabberCom");
            this.PriceGrabberCom.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailPriceGrabberComSubstitute");
            this.PriceGrabberCom.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isPriceGrabberComDetail");
            this.PriceGrabberCom.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPriceGrabberComDetailSubstitute");


            this.FroogleDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordFroogleDe");
            this.FroogleDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordFroogleDeSubstitute");
            this.FroogleDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isFroogleDe");
            this.FroogleDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isFroogleDeSubstitute");

            this.FroogleCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordFroogleCom");
            this.FroogleCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordFroogleComSubstitute");
            this.FroogleCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isFroogleCom");
            this.FroogleCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isFroogleComSubstitute");

            this.FroogleCoUk.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordFroogleCoUk");
            this.FroogleCoUk.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordFroogleCoUkSubstitute");
            this.FroogleCoUk.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isFroogleCoUk");
            this.FroogleCoUk.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isFroogleCoUkSubstitute");

            this.ShopzillaDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordShopzillaDe");
            this.ShopzillaDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordShopzillaDeSubstitute");
            this.ShopzillaDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isShopzillaDe");
            this.ShopzillaDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isShopzillaDeSubstitute");

            this.ShopzillaCom.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordShopzillaCom");
            this.ShopzillaCom.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordShopzillaComSubstitute");
            this.ShopzillaCom.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isShopzillaCom");
            this.ShopzillaCom.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isShopzillaComSubstitute");

            this.PreisroboterDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordPreisroboterDe");
            this.PreisroboterDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordPreisroboterDeSubstitute");
            this.PreisroboterDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isPreisroboterDe");
            this.PreisroboterDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isPreisroboterDeSubstitute");

            this.GaleriaKaufhofDe.keyword = eBayPrefManager.getCharPref("extensions.home_extension.keywordGaleriaKaufhofDe");
            this.GaleriaKaufhofDe.keywordSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordGaleriaKaufhofDeSubstitute");
            this.GaleriaKaufhofDe.isPage = eBayPrefManager.getCharPref("extensions.home_extension.isGaleriaKaufhofDe");
            this.GaleriaKaufhofDe.isPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGaleriaKaufhofDeSubstitute");
            this.GaleriaKaufhofDe.keywordDetail = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailGaleriaKaufhofDe");
            this.GaleriaKaufhofDe.keywordDetailSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.keywordDetailGaleriaKaufhofDeSubstitute");
            this.GaleriaKaufhofDe.isDetailPage = eBayPrefManager.getCharPref("extensions.home_extension.isGaleriaKaufhofDeDetail");
            this.GaleriaKaufhofDe.isDetailPageSubstitute = eBayPrefManager.getCharPref("extensions.home_extension.isGaleriaKaufhofDeDetailSubstitute");
        },

        saveValuesToPreferences: function() {
            var eBayPrefManager = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
            // Keywords
            eBayPrefManager.setCharPref("extensions.home_extension.keywordGoogleDE", this.GoogleDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordGoogleDESubstitute", this.GoogleDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGoogleDE", this.GoogleDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGoogleDESubstitute", this.GoogleDe.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordGoogleCom", this.GoogleCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordGoogleComSubstitute", this.GoogleCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGoogleCom", this.GoogleCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGoogleComSubstitute", this.GoogleCom.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordGoogleCoUk", this.GoogleCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordGoogleCoUkSubstitute", this.GoogleCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGoogleCoUk", this.GoogleCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGoogleCoUkSubstitute", this.GoogleCoUk.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordOtto", this.OttoDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordOttoSubstitute", this.OttoDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isOtto", this.OttoDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isOttoSubstitute", this.OttoDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailOtto", this.OttoDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailOttoSubstitute", this.OttoDe.keywordDetailSubstitute );
            eBayPrefManager.setCharPref("extensions.home_extension.isOttoDetail", this.OttoDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isOttoDetailSubstitute", this.OttoDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordAmazonDE", this.AmazonDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordAmazonDESubstitute", this.AmazonDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonDE", this.AmazonDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonDESubstitute", this.AmazonDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailAmazonDE", this.AmazonDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailAmazonDESubstitute", this.AmazonDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonDEDetail", this.AmazonDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonDEDetailSubstitute", this.AmazonDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordAmazonCoUk", this.AmazonCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordAmazonCoUkSubstitute", this.AmazonCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonCoUk", this.AmazonCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonCoUkSubstitute", this.AmazonCoUk.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailAmazonCoUk", this.AmazonCoUk.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailAmazonCoUkSubstitute", this.AmazonCoUk.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonCoUkDetail", this.AmazonCoUk.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonCoUkDetailSubstitute", this.AmazonCoUk.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordAmazonCom", this.AmazonCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordAmazonComSubstitute", this.AmazonCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonCom", this.AmazonCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonComSubstitute", this.AmazonCom.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailAmazonCom", this.AmazonCom.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailAmazonComSubstitute", this.AmazonCom.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonComDetail", this.AmazonCom.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isAmazonComDetailSubstitute", this.AmazonCom.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordGuenstiger", this.GuenstigerDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordGuenstigerSubstitute", this.GuenstigerDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGuenstiger", this.GuenstigerDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGuenstigerSubstitute", this.GuenstigerDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailGuenstiger", this.GuenstigerDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailGuenstigerSubstitute", this.GuenstigerDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGuenstigerDetail", this.GuenstigerDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGuenstigerDetailSubstitute", this.GuenstigerDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordElectronicScout", this.ElectronicScoutDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordElectronicScoutSubstitute", this.ElectronicScoutDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isElectronicScout", this.ElectronicScoutDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isElectronicScoutSubstitute", this.ElectronicScoutDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailElectronicScout", this.ElectronicScoutDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailElectronicScoutSubstitute", this.ElectronicScoutDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isElectronicScoutDetail", this.ElectronicScoutDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isElectronicScoutDetailSubstitute", this.ElectronicScoutDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordTOnlineShopping", this.TOnlineShoppingDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordTOnlineShoppingSubstitute", this.TOnlineShoppingDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isTOnlineShopping", this.TOnlineShoppingDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isTOnlineShoppingSubstitute", this.TOnlineShoppingDe.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordQuelle", this.QuelleDe.keyword );
            eBayPrefManager.setCharPref("extensions.home_extension.keywordQuelleSubstitute", this.QuelleDe.keywordSubstitute );
            eBayPrefManager.setCharPref("extensions.home_extension.isQuelle", this.QuelleDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isQuelleSubstitute", this.QuelleDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailQuelle", this.QuelleDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailQuelleSubstitute", this.QuelleDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isQuelleDetail", this.QuelleDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isQuelleDetailSubstitute", this.QuelleDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordCiaoDe", this.CiaoDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordCiaoDeSubstitute", this.CiaoDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isCiaoDe", this.CiaoDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isCiaoDeSubstitute", this.CiaoDe.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordCiaoCoUk", this.CiaoCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordCiaoCoUkSubstitute", this.CiaoCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isCiaoCoUk", this.CiaoCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isCiaoCoUkSubstitute", this.CiaoCoUk.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordCheckAPriceCoUk", this.CheckAPriceCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordCheckAPriceCoUkSubstitute", this.CheckAPriceCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isCheckAPriceCoUk", this.CheckAPriceCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isCheckAPriceCoUkSubstitute", this.CheckAPriceCoUk.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordBizRateCom", this.BizRateCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordBizRateComSubstitute", this.BizRateCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isBizRateCom", this.BizRateCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isBizRateComSubstitute", this.BizRateCom.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordSmarterDealsCom", this.SmarterDealsCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordSmarterDealsComSubstitute", this.SmarterDealsCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isSmarterDealsCom", this.SmarterDealsCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isSmarterDealsComSubstitute", this.SmarterDealsCom.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordPreisvergleichDe", this.PreisvergleichDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordPreisvergleichDeSubstitute", this.PreisvergleichDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreisvergleichDe", this.PreisvergleichDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreisvergleichDeSubstitute", this.PreisvergleichDe.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordIdealoDe", this.IdealoDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordIdealoDeSubstitute", this.IdealoDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoDe", this.IdealoDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoDeSubstitute", this.IdealoDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailIdealoDe", this.IdealoDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailIdealoDeSubstitute", this.IdealoDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoDeDetail", this.IdealoDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoDeDetailSubstitute", this.IdealoDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordIdealoCoUk", this.IdealoCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordIdealoCoUkSubstitute", this.IdealoCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoCoUk", this.IdealoCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoCoUkSubstitute", this.IdealoCoUk.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailIdealoCoUk", this.IdealoCoUk.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailIdealoCoUkSubstitute", this.IdealoCoUk.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoCoUkDetail", this.IdealoCoUk.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoCoUkDetailSubstitute", this.IdealoCoUk.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordIdealoCom", this.IdealoCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordIdealoComSubstitute", this.IdealoCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoCom", this.IdealoCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoComSubstitute", this.IdealoCom.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailIdealoCom", this.IdealoCom.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailIdealoComSubstitute", this.IdealoCom.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoComDetail", this.IdealoCom.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isIdealoComDetailSubstitute", this.IdealoCom.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordDooyooDe", this.DooyooDe.keyword );
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDooyooDeSubstitute", this.DooyooDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooDe", this.DooyooDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooDeSubstitute", this.DooyooDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailDooyooDe", this.DooyooDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailDooyooDeSubstitute", this.DooyooDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooDeDetail", this.DooyooDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooDeDetailSubstitute", this.DooyooDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordDooyooCoUk", this.DooyooCoUk.keyword );
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDooyooCoUkSubstitute", this.DooyooCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooCoUk", this.DooyooCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooCoUkSubstitute", this.DooyooCoUk.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailDooyooCoUk", this.DooyooCoUk.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailDooyooCoUkSubstitute", this.DooyooCoUk.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooCoUkDetail", this.DooyooCoUk.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isDooyooCoUkDetailSubstitute", this.DooyooCoUk.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordGeizkragenDe", this.GeizkragenDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordGeizkragenDeSubstitute", this.GeizkragenDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGeizkragenDe", this.GeizkragenDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGeizkragenDeSubstitute", this.GeizkragenDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailGeizkragenDe", this.GeizkragenDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailGeizkragenDeSubstitute", this.GeizkragenDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGeizkragenDeDetail", this.GeizkragenDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGeizkragenDeDetailSubstitute", this.GeizkragenDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordYategoDe", this.YategoDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordYategoDeSubstitute", this.YategoDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isYategoDe", this.YategoDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isYategoDeSubstitute", this.YategoDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailYategoDe", this.YategoDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailYategoDeSubstitute", this.YategoDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isYategoDeDetail", this.YategoDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isYategoDeDetailSubstitute", this.YategoDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordSmartShoppingDe", this.SmartShoppingDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordSmartShoppingDeSubstitute", this.SmartShoppingDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isSmartShoppingDe", this.SmartShoppingDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isSmartShoppingDeSubstitute", this.SmartShoppingDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailSmartShoppingDe", this.SmartShoppingDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailSmartShoppingDeSubstitute", this.SmartShoppingDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isSmartShoppingDeDetail", this.SmartShoppingDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isSmartShoppingDeDetailSubstitute", this.SmartShoppingDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordMyToysDe", this.MyToysDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordMyToysDeSubstitute", this.MyToysDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isMyToysDe", this.MyToysDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isMyToysDeSubstitute", this.MyToysDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailMyToysDe", this.MyToysDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailMyToysDeSubstitute", this.MyToysDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isMyToysDeDetail", this.MyToysDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isMyToysDeDetailSubstitute", this.MyToysDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordKarstadtDe", this.KarstadtDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordKarstadtDeSubstitute", this.KarstadtDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isKarstadtDe", this.KarstadtDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isKarstadtDeSubstitute", this.KarstadtDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailKarstadtDe", this.KarstadtDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailKarstadtDeSubstitute", this.KarstadtDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isKarstadtDeDetail", this.KarstadtDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isKarstadtDeDetailSubstitute", this.KarstadtDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordDiscount24De", this.Discount24De.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDiscount24DeSubstitute", this.Discount24De.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isDiscount24De", this.Discount24De.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isDiscount24DeSubstitute", this.Discount24De.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailDiscount24De", this.Discount24De.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailDiscount24DeSubstitute", this.Discount24De.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isDiscount24DeDetail", this.Discount24De.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isDiscount24DeDetailSubstitute", this.Discount24De.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordPreistrendDe", this.PreistrendDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordPreistrendDeSubstitute", this.PreistrendDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreistrendDe", this.PreistrendDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreistrendDeSubstitute", this.PreistrendDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailPreistrendDe", this.PreistrendDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailPreistrendDeSubstitute", this.PreistrendDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreistrendDeDetail", this.PreistrendDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreistrendDeDetailSubstitute", this.PreistrendDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordEvendiDe", this.EvendiDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordEvendiDeSubstitute", this.EvendiDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isEvendiDe", this.EvendiDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isEvendiDeSubstitute", this.EvendiDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailEvendiDe", this.EvendiDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailEvendiDeSubstitute", this.EvendiDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isEvendiDeDetail", this.EvendiDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isEvendiDeDetailSubstitute", this.EvendiDe.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordShopperCom", this.ShopperCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordShopperComSubstitute", this.ShopperCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopperCom", this.ShopperCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopperComSubstitute", this.ShopperCom.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailShopperCom", this.ShopperCom.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailShopperComSubstitute", this.ShopperCom.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopperComDetail", this.ShopperCom.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopperComDetailSubstitute", this.ShopperCom.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordNextagCom", this.NextagCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordNextagComSubstitute", this.NextagCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isNextagCom", this.NextagCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isNextagComSubstitute", this.NextagCom.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailNextagCom", this.NextagCom.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailNextagComSubstitute", this.NextagCom.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isNextagComDetail", this.NextagCom.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isNextagComDetailSubstitute", this.NextagCom.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordArgosCoUk", this.ArgosCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordArgosCoUkSubstitute", this.ArgosCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isArgosCoUk", this.ArgosCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isArgosCoUkSubstitute", this.ArgosCoUk.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailArgosCoUk", this.ArgosCoUk.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailArgosCoUkSubstitute", this.ArgosCoUk.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isArgosCoUkDetail", this.ArgosCoUk.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isArgosCoUkDetailSubstitute", this.ArgosCoUk.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordPriceRunnerCoUk", this.PriceRunnerCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordPriceRunnerCoUkSubstitute", this.PriceRunnerCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceRunnerCoUk", this.PriceRunnerCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceRunnerCoUkSubstitute", this.PriceRunnerCoUk.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailPriceRunnerCoUk", this.PriceRunnerCoUk.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailPriceRunnerCoUkSubstitute", this.PriceRunnerCoUk.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceRunnerCoUkDetail", this.PriceRunnerCoUk.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceRunnerCoUkDetailSubstitute", this.PriceRunnerCoUk.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordPriceGrabberCom", this.PriceGrabberCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordPriceGrabberComSubstitute", this.PriceGrabberCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceGrabberCom", this.PriceGrabberCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceGrabberComSubstitute", this.PriceGrabberCom.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailPriceGrabberCom", this.PriceGrabberCom.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailPriceGrabberComSubstitute", this.PriceGrabberCom.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceGrabberComDetail", this.PriceGrabberCom.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPriceGrabberComDetailSubstitute", this.PriceGrabberCom.isDetailPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordFroogleDe", this.FroogleDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordFroogleDeSubstitute", this.FroogleDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isFroogleDe", this.FroogleDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isFroogleDeSubstitute", this.FroogleDe.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordFroogleCoUk", this.FroogleCoUk.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordFroogleCoUkSubstitute", this.FroogleCoUk.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isFroogleCoUk", this.FroogleCoUk.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isFroogleCoUkSubstitute", this.FroogleCoUk.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordFroogleCom", this.FroogleCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordFroogleComSubstitute", this.FroogleCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isFroogleCom", this.FroogleCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isFroogleComSubstitute", this.FroogleCom.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordShopzillaDe", this.ShopzillaDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordShopzillaDeSubstitute", this.ShopzillaDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopzillaDe", this.ShopzillaDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopzillaDeSubstitute", this.ShopzillaDe.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordShopzillaCom", this.ShopzillaCom.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordShopzillaComSubstitute", this.ShopzillaCom.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopzillaCom", this.ShopzillaCom.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isShopzillaComSubstitute", this.ShopzillaCom.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordPreisroboterDe", this.PreisroboterDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordPreisroboterDeSubstitute", this.PreisroboterDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreisroboterDe", this.PreisroboterDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isPreisroboterDeSubstitute", this.PreisroboterDe.isPageSubstitute);

            eBayPrefManager.setCharPref("extensions.home_extension.keywordGaleriaKaufhofDe", this.GaleriaKaufhofDe.keyword);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordGaleriaKaufhofDeSubstitute", this.GaleriaKaufhofDe.keywordSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGaleriaKaufhofDe", this.GaleriaKaufhofDe.isPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGaleriaKaufhofDeSubstitute", this.GaleriaKaufhofDe.isPageSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailGaleriaKaufhofDe", this.GaleriaKaufhofDe.keywordDetail);
            eBayPrefManager.setCharPref("extensions.home_extension.keywordDetailGaleriaKaufhofDeSubstitute", this.GaleriaKaufhofDe.keywordDetailSubstitute);
            eBayPrefManager.setCharPref("extensions.home_extension.isGaleriaKaufhofDeDetail", this.GaleriaKaufhofDe.isDetailPage);
            eBayPrefManager.setCharPref("extensions.home_extension.isGaleriaKaufhofDeDetailSubstitute", this.GaleriaKaufhofDe.isDetailPageSubstitute);

        },

        getKeywordRegExprFromXML: function(RootNode) {
          return RootNode.getElementsByTagName("SearchPage")[0].getElementsByTagName("Keyword")[0].getElementsByTagName("RegExpr")[0].childNodes[0].nodeValue;
        },
        getKeywordSubstituteFromXML: function(RootNode) {
          return RootNode.getElementsByTagName("SearchPage")[0].getElementsByTagName("Keyword")[0].getElementsByTagName("Substitute")[0].childNodes[0].nodeValue;
        },

        getKeywordDetailRegExprFromXML: function(RootNode) {
            return RootNode.getElementsByTagName("DetailsPage")[0].getElementsByTagName("Keyword")[0].getElementsByTagName("RegExpr")[0].childNodes[0].nodeValue;
        },
        getKeywordDetailSubstituteFromXML: function(RootNode) {
          return RootNode.getElementsByTagName("DetailsPage")[0].getElementsByTagName("Keyword")[0].getElementsByTagName("Substitute")[0].childNodes[0].nodeValue;
        },

        getIsSearchPageRegExprFromXML: function(RootNode) {
            return RootNode.getElementsByTagName("SearchPage")[0].getElementsByTagName("RegExpr")[0].childNodes[0].nodeValue;
         //   return RootNode.getElementsByTagName("SearchPage")[0].childNodes[0].nodeValue;
        },
        getIsSearchPageSubstituteFromXML: function(RootNode) {
            return RootNode.getElementsByTagName("SearchPage")[0].getElementsByTagName("Substitute")[0].childNodes[0].nodeValue;
        },

        getIsDetailRegExprFromXML: function(RootNode) {
            return RootNode.getElementsByTagName("DetailsPage")[0].getElementsByTagName("RegExpr")[0].childNodes[0].nodeValue;
        },
        getIsDetailSubstituteFromXML: function(RootNode) {
            return RootNode.getElementsByTagName("DetailsPage")[0].getElementsByTagName("Substitute")[0].childNodes[0].nodeValue;
        },


        // retrieve XML document (reusable generic function);
        // parameter is URL string (relative or complete) to
        // an .xml file whose Content-Type is a valid XML
        // type, such as text/xml; XML source must be from
        // same domain as HTML file
        loadXMLDoc: function(url) {
        // branch for native XMLHttpRequest object
            if (window.XMLHttpRequest) {
                try {
                    var xmlHttp = false;
                    xmlHttp = new XMLHttpRequest();
                    xmlHttp.onreadystatechange = function () {
                        try{
                        // only if xmlHttp shows "loaded"
                        if (xmlHttp.readyState == 4) {
                            if (xmlHttp.status == 200) {
                                // only if "OK"

                                var Node = xmlHttp.responseXML.getElementsByTagName("OttoDe")[0];

                                FRegularExpressions.OttoDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.OttoDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.OttoDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.OttoDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.OttoDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.OttoDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.OttoDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.OttoDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("AmazonDe")[0];
                                FRegularExpressions.AmazonDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.AmazonDe.keywordSubstitute= FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.AmazonDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.AmazonDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.AmazonDe.keywordDetail= FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.AmazonDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.AmazonDe.isDetailPage= FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.AmazonDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("AmazonCom")[0];
                                FRegularExpressions.AmazonCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.AmazonCom.keywordSubstitute= FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.AmazonCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.AmazonCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.AmazonCom.keywordDetail= FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.AmazonCom.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.AmazonCom.isDetailPage= FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.AmazonCom.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("AmazonCoUk")[0];
                                FRegularExpressions.AmazonCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.AmazonCoUk.keywordSubstitute= FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.AmazonCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.AmazonCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.AmazonCoUk.keywordDetail= FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.AmazonCoUk.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.AmazonCoUk.isDetailPage= FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.AmazonCoUk.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("GoogleDe")[0];
                                FRegularExpressions.GoogleDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.GoogleDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.GoogleDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.GoogleDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("GoogleCoUk")[0];
                                FRegularExpressions.GoogleCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.GoogleCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.GoogleCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.GoogleCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("GoogleCom")[0];
                                FRegularExpressions.GoogleCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.GoogleCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.GoogleCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.GoogleCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("GuenstigerDe")[0];
                                FRegularExpressions.GuenstigerDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.GuenstigerDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.GuenstigerDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.GuenstigerDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.GuenstigerDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.GuenstigerDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.GuenstigerDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.GuenstigerDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("ElectronicScoutDe")[0];
                                FRegularExpressions.ElectronicScoutDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.ElectronicScoutDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.ElectronicScoutDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.ElectronicScoutDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.ElectronicScoutDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.ElectronicScoutDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.ElectronicScoutDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.ElectronicScoutDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("TOnlineShoppingDe")[0];
                                FRegularExpressions.TOnlineShoppingDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.TOnlineShoppingDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.TOnlineShoppingDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.TOnlineShoppingDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);


                                Node = xmlHttp.responseXML.getElementsByTagName("QuelleDe")[0];
                                FRegularExpressions.QuelleDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.QuelleDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.QuelleDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.QuelleDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.QuelleDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.QuelleDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.QuelleDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.QuelleDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("CiaoDe")[0];
                                FRegularExpressions.CiaoDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.CiaoDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.CiaoDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.CiaoDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("CiaoCoUk")[0];
                                FRegularExpressions.CiaoCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.CiaoCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.CiaoCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.CiaoCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("CheckAPriceCoUk")[0];
                                FRegularExpressions.CheckAPriceCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.CheckAPriceCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.CheckAPriceCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.CheckAPriceCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("BizRateCom")[0];
                                FRegularExpressions.BizRateCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.BizRateCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.BizRateCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.BizRateCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("SmarterDealsCom")[0];
                                FRegularExpressions.SmarterDealsCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.SmarterDealsCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.SmarterDealsCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.SmarterDealsCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("PreisvergleichDe")[0];
                                FRegularExpressions.PreisvergleichDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.PreisvergleichDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.PreisvergleichDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.PreisvergleichDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("IdealoDe")[0];
                                FRegularExpressions.IdealoDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.IdealoDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.IdealoDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.IdealoDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.IdealoDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.IdealoDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.IdealoDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.IdealoDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("IdealoCoUk")[0];
                                FRegularExpressions.IdealoCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.IdealoCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.IdealoCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.IdealoCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.IdealoCoUk.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.IdealoCoUk.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.IdealoCoUk.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.IdealoCoUk.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("IdealoCom")[0];
                                FRegularExpressions.IdealoCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.IdealoCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.IdealoCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.IdealoCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.IdealoCom.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.IdealoCom.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.IdealoCom.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.IdealoCom.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("DooyooDe")[0];
                                FRegularExpressions.DooyooDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.DooyooDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.DooyooDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.DooyooDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.DooyooDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.DooyooDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.DooyooDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.DooyooDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("DooyooCoUk")[0];
                                FRegularExpressions.DooyooCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.DooyooCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.DooyooCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.DooyooCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.DooyooCoUk.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.DooyooCoUk.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.DooyooCoUk.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.DooyooCoUk.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("GeizkragenDe")[0];
                                FRegularExpressions.GeizkragenDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.GeizkragenDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.GeizkragenDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.GeizkragenDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.GeizkragenDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.GeizkragenDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.GeizkragenDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.GeizkragenDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("YategoDe")[0];
                                FRegularExpressions.YategoDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.YategoDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.YategoDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.YategoDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.YategoDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.YategoDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.YategoDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.YategoDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("SmartshoppingDE")[0];
                                FRegularExpressions.SmartShoppingDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.SmartShoppingDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.SmartShoppingDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.SmartShoppingDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.SmartShoppingDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.SmartShoppingDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.SmartShoppingDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.SmartShoppingDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("MytoysDE")[0];
                                FRegularExpressions.MyToysDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.MyToysDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.MyToysDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.MyToysDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.MyToysDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.MyToysDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.MyToysDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.MyToysDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("KarstadtDE")[0];
                                FRegularExpressions.KarstadtDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.KarstadtDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.KarstadtDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.KarstadtDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.KarstadtDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.KarstadtDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.KarstadtDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.KarstadtDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("Discount24DE")[0];
                                FRegularExpressions.Discount24De.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.Discount24De.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.Discount24De.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.Discount24De.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.Discount24De.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.Discount24De.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.Discount24De.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.Discount24De.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("PreistrendDE")[0];
                                FRegularExpressions.PreistrendDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.PreistrendDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.PreistrendDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.PreistrendDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.PreistrendDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.PreistrendDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.PreistrendDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.PreistrendDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("EvendiDE")[0];
                                FRegularExpressions.EvendiDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.EvendiDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.EvendiDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.EvendiDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.EvendiDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.EvendiDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.EvendiDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.EvendiDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("ShopperCom")[0];
                                FRegularExpressions.ShopperCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.ShopperCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.ShopperCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.ShopperCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.ShopperCom.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.ShopperCom.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.ShopperCom.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.ShopperCom.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("NextagCom")[0];
                                FRegularExpressions.NextagCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.NextagCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.NextagCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.NextagCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.NextagCom.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.NextagCom.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.NextagCom.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.NextagCom.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("ArgosCoUk")[0];
                                FRegularExpressions.ArgosCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.ArgosCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.ArgosCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.ArgosCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.ArgosCoUk.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.ArgosCoUk.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.ArgosCoUk.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.ArgosCoUk.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("PriceRunnerCoUk")[0];
                                FRegularExpressions.PriceRunnerCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.PriceRunnerCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.PriceRunnerCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.PriceRunnerCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.PriceRunnerCoUk.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.PriceRunnerCoUk.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.PriceRunnerCoUk.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.PriceRunnerCoUk.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("PriceGrabberCom")[0];
                                FRegularExpressions.PriceGrabberCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.PriceGrabberCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.PriceGrabberCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.PriceGrabberCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.PriceGrabberCom.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.PriceGrabberCom.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.PriceGrabberCom.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.PriceGrabberCom.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("FroogleDE")[0];
                                FRegularExpressions.FroogleDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.FroogleDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.FroogleDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.FroogleDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("FroogleCom")[0];
                                FRegularExpressions.FroogleCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.FroogleCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.FroogleCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.FroogleCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("FroogleCoUk")[0];
                                FRegularExpressions.FroogleCoUk.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.FroogleCoUk.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.FroogleCoUk.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.FroogleCoUk.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("ShopzillaDE")[0];
                                FRegularExpressions.ShopzillaDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.ShopzillaDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.ShopzillaDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.ShopzillaDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("ShopzillaCOM")[0];
                                FRegularExpressions.ShopzillaCom.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.ShopzillaCom.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.ShopzillaCom.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.ShopzillaCom.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("PreisroboterDE")[0];
                                FRegularExpressions.PreisroboterDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.PreisroboterDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.PreisroboterDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.PreisroboterDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);

                                Node = xmlHttp.responseXML.getElementsByTagName("GaleriakaufhofDE")[0];
                                FRegularExpressions.GaleriaKaufhofDe.keyword = FRegularExpressions.getKeywordRegExprFromXML(Node);
                                FRegularExpressions.GaleriaKaufhofDe.keywordSubstitute = FRegularExpressions.getKeywordSubstituteFromXML(Node);
                                FRegularExpressions.GaleriaKaufhofDe.isPage = FRegularExpressions.getIsSearchPageRegExprFromXML(Node);
                                FRegularExpressions.GaleriaKaufhofDe.isPageSubstitute = FRegularExpressions.getIsSearchPageSubstituteFromXML(Node);
                                FRegularExpressions.GaleriaKaufhofDe.keywordDetail = FRegularExpressions.getKeywordDetailRegExprFromXML(Node);
                                FRegularExpressions.GaleriaKaufhofDe.keywordDetailSubstitute = FRegularExpressions.getKeywordDetailSubstituteFromXML(Node);
                                FRegularExpressions.GaleriaKaufhofDe.isDetailPage = FRegularExpressions.getIsDetailRegExprFromXML(Node);
                                FRegularExpressions.GaleriaKaufhofDe.isDetailPageSubstitute = FRegularExpressions.getIsDetailSubstituteFromXML(Node);

                                downloadSucceeded = true;
                                FRegularExpressions.saveValuesToPreferences();
                                var now = new Date();
                                FEbayInPage.setLastDownloadDateMiliSec(now.toGMTString());
                            } else { //der Download ist schief gegangen...also default-Werte lesen
                                FRegularExpressions.loadValuesFromPreferences();
                            }
                        }
                        }catch(e) {
//                            alert("test" + e);
                            FRegularExpressions.loadValuesFromPreferences();

                        }

                    }


                    xmlHttp.open("GET", url, true);
                    xmlHttp.setRequestHeader( "If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT" );
                    xmlHttp.send(null);

                    
                }catch(e) {/* alert(e);*/}
            }
        }
	
}



