
var FEbayInPage = null;

function ebayInPageLoad(event) {
    if (FEbayInPage) {
        FEbayInPage.startParsingPage(event);
    } else {
        FEbayInPage = new EbayInPage();
        FEbayInPage.init();
        ebayInPageCreateRegularExpressions(FEbayInPage.lastDownloadDate);
    }
}

function ebayInPageUnload() {
    FEbayInPage = null;
    ebayInPageUnloadRegularExpressions();
}

function EbayInPage() {

	return this;
}

EbayInPage.prototype =
{
        eBayPrefManager: null,
        eBayInPagePageLanguage: "de",
        eBayInPageExtensionActivated: true,
        eBayInPageFrame: null,
        lastDownloadDate: "Sat, 1 Jan 2000 00:00:00 GMT",

	init: function() {
            try {
                this.eBayPrefManager = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
                this.eBayInPageFrame = new TeBayInPageFrame();
                this.eBayInPageFrame.init("eBayInPageResultFrame", "");
                this.initPrefManager();
		
                 //Zeitpunkt des letzten Downloads der reg. Ausdrcke
		if ( this.eBayPrefManager.prefHasUserValue("extensions.home_extension.lastDownloadDate") )
			this.lastDownloadDate = this.eBayPrefManager.getCharPref("extensions.home_extension.lastDownloadDate");
            }catch(e) { }
        },

        setLastDownloadDateMiliSec: function(date) {
            this.lastDownloadDate = date;
            this.eBayPrefManager.setCharPref("extensions.home_extension.lastDownloadDate", date);
        },

        deactivateExtension: function(checked) {
            if (checked) {
                document.getElementById('home_extensionstatusbarimage').src = "chrome://home_extension/skin/status_off.gif";
                this.eBayInPageExtensionActivated = false;
            } else {
                document.getElementById('home_extensionstatusbarimage').src = "chrome://home_extension/skin/status_on.gif";
                this.eBayInPageExtensionActivated = true;
            }
            window._content.document.location.reload(false);
        },

        encode_utf8: function (text) {
              // Normalisierung des Zeilenumbruchs
             text = text.replace(/\r\n/g,"\n");
             var utf8Text = "";
             for(var i=0; i < text.length; i++) {
                     var c = text.charCodeAt(i);
                    // alle Zeichen von 0-127 => 1byte
                    if (c<128)
                       utf8Text += String.fromCharCode(c);
                    // alle Zeichen von 127 bis 2047 => 2byte
                    else if((c>127) && (c<2048)) {
                        utf8Text += String.fromCharCode((c>>6)|192);
                        utf8Text += String.fromCharCode((c&63)|128);}
                    // alle Zeichen von 2048 bis 66536 => 3byte
                    else {
                        utf8Text += String.fromCharCode((c>>12)|224);
                        utf8Text += String.fromCharCode(((c>>6)&63)|128);
                        utf8Text += String.fromCharCode((c&63)|128);}
                    }
                return utf8Text;
        },

initPrefManager: function() {
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.RadioGroupIndex") )
			this.eBayPrefManager.setIntPref("extensions.home_extension.RadioGroupIndex", 1);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseOtto") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseOtto", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseGuenstiger") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseGuenstiger", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseElectronicScout") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseElectronicScout", true);
                if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseTOnlineShopping") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseTOnlineShopping", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseQuelle") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseQuelle", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParsePreisvergleichDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParsePreisvergleichDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseGeizkragenDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseGeizkragenDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseYategoDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseYategoDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseSmartShoppingDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseSmartShoppingDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseMyToysDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseMyToysDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseKarstadtDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseKarstadtDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseDiscount24De") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseDiscount24De", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParsePreistrendDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParsePreistrendDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseEvendiDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseEvendiDe", true);


		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseShopzillaDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseShopzillaDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseShopzillaCom") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseShopzillaCom", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParsePreisroboterDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParsePreisroboterDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseGaleriaKaufhofDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseGaleriaKaufhofDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseGoogleDE") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseGoogleDE", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseGoogleCom") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseGoogleCom", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseGoogleCoUk") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseGoogleCoUk", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseShopperCom") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseShopperCom", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseArgosCoUk") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseArgosCoUk", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParsePriceRunnerCoUk") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParsePriceRunnerCoUk", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParsePriceGrabberCom") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParsePriceGrabberCom", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseCiaoDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseCiaoDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseFroogleDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseFroogleDe", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseFroogleCom") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseFroogleCom", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseFroogleCoUk") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseFroogleCoUk", true);


		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseIdealoDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseIdealoDe", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseIdealoCoUk") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseIdealoCoUk", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseAmazonDE") )
        		this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseAmazonDE", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseAmazonCoUk") )
        		this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseAmazonCoUk", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseAmazonCom") )
        		this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseAmazonCom", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ParseDooyooDe") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ParseDooyooDe", true);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.eBaySID") ) {
			this.eBayPrefManager.setIntPref("extensions.home_extension.eBaySID", gDefaultEbaySiteID);
               }
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.AmazonCountry") ) {
			this.eBayPrefManager.setCharPref("extensions.home_extension.AmazonCountry", gDefaultAmazonCountry);
                }
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.SDCCountry") ) {
			this.eBayPrefManager.setCharPref("extensions.home_extension.SDCCountry", gDefaultSDCCountry);
                }

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ShowEbayTab") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ShowEbayTab", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ShowSDCTab") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ShowSDCTab", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ShowAmazonTab") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ShowAmazonTab", true);
		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.ShowPPTab") )
			this.eBayPrefManager.setBoolPref("extensions.home_extension.ShowPPTab", gShowPPResults);

		if ( !this.eBayPrefManager.prefHasUserValue("extensions.home_extension.RadioGroupDefaultTab") )
			this.eBayPrefManager.setIntPref("extensions.home_extension.RadioGroupDefaultTab", 0);
},

        getKeywordFrom: function(href, exprstring, pos) {
            try {
                var result;
                var expr = new RegExp(exprstring);
                // Das erste Zeichen abschneiden, da dort ein $ steht...
                if (pos.substr(0,1) == "$") {
                   pos = pos.substr(1);
                }
                result = expr.exec(href);
                if (result) {
                    var keyword = result[pos];
                    if (keyword != "") {
                       keyword = decodeURI(keyword);
                       keyword = (encodeURI(this.replaceSpecialCharacters(keyword)));
                    }
                    if (keyword == "undefined")
                       return "";

                    return keyword;
                }
            } catch (error) {
                return "";
            }
            return "";
        },

        parseGuenstiger: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.GuenstigerDe.keywordDetail), FRegularExpressions.GuenstigerDe.keywordDetailSubstitute);
            } else {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.GuenstigerDe.keyword), FRegularExpressions.GuenstigerDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseCiaoDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.CiaoDe.keyword), FRegularExpressions.CiaoDe.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseCiaoCoUk: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.CiaoCoUk.keyword), FRegularExpressions.CiaoCoUk.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseCheckAPriceCoUk: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.CheckAPriceCoUk.keyword), FRegularExpressions.CheckAPriceCoUk.keywordSubstitute);
            if (this.eBayInPageFrame.keyword == 'Compare+prices') {
              return true;
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseBizRateCom: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML, this.replaceSpecialCharacters(FRegularExpressions.BizRateCom.keyword), FRegularExpressions.BizRateCom.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseSmarterDealsCom: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.SmarterDealsCom.keyword), FRegularExpressions.SmarterDealsCom.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parsePreisvergleichDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.PreisvergleichDe.keyword), FRegularExpressions.PreisvergleichDe.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseIdealoDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.IdealoDe.keywordDetail), FRegularExpressions.IdealoDe.keywordDetailSubstitute);
            } else {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.IdealoDe.keyword), FRegularExpressions.IdealoDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseIdealoCoUk: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.IdealoCoUk.keywordDetail), FRegularExpressions.IdealoCoUk.keywordDetailSubstitute);
            } else {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.IdealoCoUk.keyword), FRegularExpressions.IdealoCoUk.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseIdealoCom: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.IdealoCom.keywordDetail), FRegularExpressions.IdealoCom.keywordDetailSubstitute);
            } else {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.IdealoCom.keyword), FRegularExpressions.IdealoCom.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseDooyooDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.DooyooDe.keyword), FRegularExpressions.DooyooDe.keywordSubstitute);
            if (this.eBayInPageFrame.keyword == ""){
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.DooyooDe.keywordDetail), FRegularExpressions.DooyooDe.keywordDetailSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseDooyooCoUk: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.DooyooCoUk.keyword), FRegularExpressions.DooyooCoUk.keywordSubstitute);
            if (this.eBayInPageFrame.keyword == ""){
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.DooyooCoUk.keywordDetail), FRegularExpressions.DooyooCoUk.keywordDetailSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseGeizkragenDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.GeizkragenDe.keywordDetail), FRegularExpressions.GeizkragenDe.keywordDetailSubstitute);
            }
            if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.GeizkragenDe.keyword), FRegularExpressions.GeizkragenDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseYategoDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            // Auf einer Suchergebnis-Seite steht der Suchbegriff in einem input-Feld
            // Bei den Detailseiten leider nicht, da steht es aber im Titel
            // Daher hier keine Unterscheidung nach Seite, sondern Keyword erst im body suchen und dann erst den titel nehmen
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.YategoDe.keyword), FRegularExpressions.YategoDe.keywordSubstitute);
            if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.YategoDe.keywordDetail), FRegularExpressions.YategoDe.keywordDetailSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseSmartShoppingDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.SmartShoppingDe.keyword), FRegularExpressions.SmartShoppingDe.keywordSubstitute);
            if (this.eBayInPageFrame.keyword == ""){
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.SmartShoppingDe.keywordDetail), FRegularExpressions.SmartShoppingDe.keywordDetailSubstitute);
            }

            this.displaySearchResults(showInFrame, false, doc);
        },

        parseMyToysDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.MyToysDe.keywordDetail), FRegularExpressions.MyToysDe.keywordDetailSubstitute);
            }
            if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.MyToysDe.keyword), FRegularExpressions.MyToysDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseKarstadtDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.KarstadtDe.keywordDetail), FRegularExpressions.KarstadtDe.keywordDetailSubstitute);
            }
            if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.KarstadtDe.keyword), FRegularExpressions.KarstadtDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseDiscount24De: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.Discount24De.keywordDetail), FRegularExpressions.Discount24De.keywordDetailSubstitute);
            }
            else if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.Discount24De.keyword), FRegularExpressions.Discount24De.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parsePreistrendDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.PreistrendDe.keywordDetail), FRegularExpressions.PreistrendDe.keywordDetailSubstitute);
            }
            else if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.PreistrendDe.keyword), FRegularExpressions.PreistrendDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseEvendiDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.EvendiDe.keywordDetail), FRegularExpressions.EvendiDe.keywordDetailSubstitute);
            }
            else if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title, this.replaceSpecialCharacters(FRegularExpressions.EvendiDe.keyword), FRegularExpressions.EvendiDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseShopperCom: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);

            this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.ShopperCom.keyword), FRegularExpressions.ShopperCom.keywordSubstitute);

            if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title, this.replaceSpecialCharacters(FRegularExpressions.ShopperCom.keywordDetail), FRegularExpressions.ShopperCom.keywordDetailSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseNextagCom: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);

            if (isDetailPage) {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title, this.replaceSpecialCharacters(FRegularExpressions.NextagCom.keywordDetail), FRegularExpressions.NextagCom.keywordDetailSubstitute);
            } else {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.NextagCom.keyword), FRegularExpressions.NextagCom.keywordSubstitute);
            }
            this.eBayInPageFrame.keyword = this.eBayInPageFrame.keyword.replace("-", " ");

            this.displaySearchResults(showInFrame, false, doc);
        },

        parseArgosCoUk: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(unescape(doc.title), this.replaceSpecialCharacters(FRegularExpressions.ArgosCoUk.keywordDetail), FRegularExpressions.ArgosCoUk.keywordDetailSubstitute);
            } else {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.ArgosCoUk.keyword), FRegularExpressions.ArgosCoUk.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parsePriceRunnerCoUk: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(unescape(doc.title), this.replaceSpecialCharacters(FRegularExpressions.PriceRunnerCoUk.keywordDetail), FRegularExpressions.PriceRunnerCoUk.keywordDetailSubstitute);
            } else {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.PriceRunnerCoUk.keyword), FRegularExpressions.PriceRunnerCoUk.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parsePriceGrabberCom: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML, this.replaceSpecialCharacters(FRegularExpressions.PriceGrabberCom.keywordDetail), FRegularExpressions.PriceGrabberCom.keywordDetailSubstitute);
            } else {
               this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.PriceGrabberCom.keyword), FRegularExpressions.PriceGrabberCom.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseGaleriaKaufhofDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.GaleriaKaufhofDe.keywordDetail), FRegularExpressions.GaleriaKaufhofDe.keywordDetailSubstitute);
            }
            else if (this.eBayInPageFrame.keyword == ""){
               this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML, this.replaceSpecialCharacters(FRegularExpressions.GaleriaKaufhofDe.keyword), FRegularExpressions.GaleriaKaufhofDe.keywordSubstitute);
            }
               this.displaySearchResults(showInFrame, false, doc);
        },

        parseFroogleDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = doc.location.href;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.FroogleDe.keyword), FRegularExpressions.FroogleDe.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseFroogleCoUk: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = doc.location.href;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.FroogleCoUk.keyword), FRegularExpressions.FroogleCoUk.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseFroogleCom: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = doc.location.href;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.FroogleCom.keyword), FRegularExpressions.FroogleCom.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseShopzillaDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML, this.replaceSpecialCharacters(FRegularExpressions.ShopzillaDe.keyword), FRegularExpressions.ShopzillaDe.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseShopzillaCom: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML, this.replaceSpecialCharacters(FRegularExpressions.ShopzillaCom.keyword), FRegularExpressions.ShopzillaCom.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parsePreisroboterDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.PreisroboterDe.keyword), FRegularExpressions.PreisroboterDe.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseElectronicScout: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.ElectronicScoutDe.keywordDetail), FRegularExpressions.ElectronicScoutDe.keywordDetailSubstitute);
            } else {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.ElectronicScoutDe.keyword), FRegularExpressions.ElectronicScoutDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseTOnlineShopping: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.TOnlineShoppingDe.keyword), FRegularExpressions.TOnlineShoppingDe.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseQuelle: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            if (isDetailPage) {
                var temp   = doc.getElementsByTagName("head")[0].getElementsByTagName("script");
                var keyword = "";
                for (i=0; i < temp.length; i++) {
                    keyword = this.getKeywordFrom(temp.item(i).text,  this.replaceSpecialCharacters(FRegularExpressions.QuelleDe.keywordDetail), FRegularExpressions.QuelleDe.keywordDetailSubstitute);
                    if (keyword != "") break;

                }
                this.eBayInPageFrame.keyword = keyword;
            } else {
                if (this.eBayInPageFrame.keyword == "")
                    this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.body.innerHTML,  this.replaceSpecialCharacters(FRegularExpressions.QuelleDe.keyword), FRegularExpressions.QuelleDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },

        replaceSpecialCharacters: function(string) {
            string = string.replace("&amp;", "&");
            string = string.replace("&apos;", "'");
            string = string.replace("&lt;", "<");
            string = string.replace("&gt;", ">");
            string = string.replace("&quot;", "\"");
            string = string.replace("&#196;", "");
            string = string.replace("&nbsp;", " ");
            string = string.replace("&#214;", "");
            string = string.replace("&#220;", "");
            string = string.replace("&#228;", "");
            string = string.replace("&#246;", "");
            string = string.replace("&#252;", "");
            string = string.replace("&#223;", "");
            return string;
        },

      getAdditionalURLParams: function(forceHideAmazon) {
            var result = "";
            var showTab = this.eBayPrefManager.getBoolPref("extensions.home_extension.ShowEbayTab");
             if (!showTab) {
                result = result + "ebay=out&";
            }
           showTab = this.eBayPrefManager.getBoolPref("extensions.home_extension.ShowSDCTab");
            if (!showTab) {
                result = result + "shoppingCom=out&";
            }
            showTab = this.eBayPrefManager.getBoolPref("extensions.home_extension.ShowAmazonTab");
            if (!showTab || forceHideAmazon) {
                result = result + "amazon=out&";
            }
            showTab = this.eBayPrefManager.getBoolPref("extensions.home_extension.ShowPPTab");
            if (!showTab) {
                result = result + "preispiraten=out&";
            }

          var defaultTabIndex = this.eBayPrefManager.getIntPref("extensions.home_extension.RadioGroupDefaultTab");
            switch (defaultTabIndex) {
                case 0:
                    result = result + "w=ebayresult&";
                    break;
                case 1:
                    result = result + "w=shoppingComresult&";
                    break;
                case 2:
                    result = result + "w=amazonresult&";
                    break;
                case 3:
                    result = result + "w=preispiratenresult&";
                    break;
            }
            return result;
        },

        parseGoogleDe: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = doc.location.href;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.GoogleDe.keyword) , FRegularExpressions.GoogleDe.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseGoogleCoUk: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = doc.location.href;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.GoogleCoUk.keyword) , FRegularExpressions.GoogleCoUk.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        parseGoogleCom: function(showInFrame) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = doc.location.href;
            this.eBayInPageFrame.keyword = this.getKeywordFrom(href, this.replaceSpecialCharacters(FRegularExpressions.GoogleCom.keyword) , FRegularExpressions.GoogleCom.keywordSubstitute);
            this.displaySearchResults(showInFrame, false, doc);
        },

        displaySearchResults: function(showInFrame, forceHideAmazon, htmlDoc) {
            try {
            if ( (this.eBayInPageFrame.keyword) && (this.eBayInPageFrame.keyword != "") && (!this.eBayInPageFrame.isLoaded(htmlDoc)) ) {
                if (showInFrame) {
                    this.eBayInPageFrame.displayEbayResultsInRightCorner(htmlDoc, this.getAdditionalURLParams(forceHideAmazon));
                } else {
                    this.eBayInPageFrame.displayEbayResultsOnTop(htmlDoc, this.getAdditionalURLParams(forceHideAmazon));
                }
            }
        } catch(e) { }
        },

        parseAmazonDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.AmazonDe.keywordDetail), FRegularExpressions.AmazonDe.keywordDetailSubstitute);
            }
            if (this.eBayInPageFrame.keyword == "") {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.AmazonDe.keyword), FRegularExpressions.AmazonDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, true, doc);
        },

        parseAmazonCom: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.AmazonCom.keywordDetail), FRegularExpressions.AmazonCom.keywordDetailSubstitute);
            }
            if (this.eBayInPageFrame.keyword == "") {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.AmazonCom.keyword), FRegularExpressions.AmazonCom.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, true, doc);
        },

        parseAmazonCoUk: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.AmazonCoUk.keywordDetail), FRegularExpressions.AmazonCoUk.keywordDetailSubstitute);
            }
            if (this.eBayInPageFrame.keyword == "") {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.AmazonCoUk.keyword), FRegularExpressions.AmazonCoUk.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, true, doc);
        },

        parseOttoDe: function(showInFrame, isDetailPage) {
            if (!this.eBayInPageFrame.display) {
                this.eBayInPageFrame.display = true;
                return true;
            }
            var doc = window._content.document;
            var href = unescape(doc.location.href);
            if (isDetailPage) {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(doc.title,  this.replaceSpecialCharacters(FRegularExpressions.OttoDe.keywordDetail), FRegularExpressions.OttoDe.keywordDetailSubstitute);
            }
            if (this.eBayInPageFrame.keyword == "") {
                this.eBayInPageFrame.keyword = this.getKeywordFrom(href,  this.replaceSpecialCharacters(FRegularExpressions.OttoDe.keyword), FRegularExpressions.OttoDe.keywordSubstitute);
            }
            this.displaySearchResults(showInFrame, false, doc);
        },


        startParsingPage: function(event) {
            try {
            if (this.eBayInPageExtensionActivated) {
                var doc = window._content.document;
                var href = doc.location.href;

                if (href && this.eBayInPageExtensionActivated) {
                    
                    var showInFrame = this.eBayPrefManager.getIntPref("extensions.home_extension.RadioGroupIndex") == 1;
                    var ParseGoogleDE = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseGoogleDE");
                    var ParseGoogleCom = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseGoogleCom");
                    var ParseGoogleCoUk = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseGoogleCoUk");
                    var parseAmazonDE = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseAmazonDE");
                    var parseAmazonCoUk = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseAmazonCoUk");
                    var parseAmazonCom = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseAmazonCom");
                    var parseOtto = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseOtto");
                    var parseGuenstiger = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseGuenstiger");
                    var parseElectronicScout = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseElectronicScout");
                    var parseTOnlineShopping = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseTOnlineShopping");
                    var parseQuelle = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseQuelle");

                    var parseCiaoDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseCiaoDe");;
                    var parsePreisvergleichDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParsePreisvergleichDe");;
                    var parseIdealoDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseIdealoDe");
                    var parseIdealoCoUk = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseIdealoCoUk");
                    
                    var parseDooyooDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseDooyooDe");
                    

                    var parseGeizkragenDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseGeizkragenDe");

                    var parseYategoDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseYategoDe");

                    var parseSmartShoppingDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseSmartShoppingDe");
                    var parseMyToysDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseMyToysDe");
                    var parseKarstadtDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseKarstadtDe");
                    var parseDiscount24De = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseDiscount24De");
                    var parsePreistrendDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParsePreistrendDe");
                    var parseEvendiDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseEvendiDe");
                    var parseShopperCom = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseShopperCom");
                    
                    var parseArgosCoUk = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseArgosCoUk");
                    var parsePriceRunnerCoUk = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParsePriceRunnerCoUk");
                    var parsePriceGrabberCom = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParsePriceGrabberCom");
                    var parseFroogleDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseFroogleDe");
                    var parseFroogleCom = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseFroogleCom");
                    var parseFroogleCoUk = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseFroogleCoUk");
                    var parseShopzillaDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseShopzillaDe");
                    var parseShopzillaCom = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseShopzillaCom");
                    var parsePreisroboterDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParsePreisroboterDe");
                    var parseGaleriaKaufhofDe = this.eBayPrefManager.getBoolPref("extensions.home_extension.ParseGaleriaKaufhofDe");

                    this.eBayInPageFrame.keyword = "";


                    var reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GoogleDe.isPage));
                    if (ParseGoogleDE && href.match(reg)) {
                        this.parseGoogleDe(showInFrame);
                        return;
                    }

                    var reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GoogleCoUk.isPage));
                    if (ParseGoogleCoUk && href.match(reg)) {
                        this.parseGoogleCoUk(showInFrame);
                        return;
                    }

                    var reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GoogleCom.isPage));
                    if (ParseGoogleCom && href.match(reg)) {
                        this.parseGoogleCom(showInFrame);
                        return;
                    }

                    // Detailseiten
                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.AmazonDe.isDetailPage));
                    if (parseAmazonDE && href.match(reg)) {
                        this.parseAmazonDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.AmazonCom.isDetailPage));
                    if (parseAmazonCom && href.match(reg)) {
                        this.parseAmazonCom(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.AmazonCoUk.isDetailPage));
                    if (parseAmazonCoUk && href.match(reg)) {
                        this.parseAmazonCoUk(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.OttoDe.isDetailPage));
                    if (parseOtto && href.match(reg)) {
                        this.parseOttoDe(showInFrame, true);
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GuenstigerDe.isDetailPage));
                    if (parseGuenstiger && href.match(reg)) {
                        this.parseGuenstiger(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.ElectronicScoutDe.isDetailPage));
                    if (parseElectronicScout && href.match(reg)) {
                        this.parseElectronicScout(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.QuelleDe.isDetailPage));
                    if (parseQuelle && href.match(reg)) {
                        this.parseQuelle(showInFrame, true);
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.IdealoDe.isDetailPage));
                    if (parseIdealoDe && href.match(reg)) {
                        this.parseIdealoDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.IdealoCoUk.isDetailPage));
                    if (parseIdealoCoUk && href.match(reg)) {
                        this.parseIdealoCoUk(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.DooyooDe.isDetailPage));
                    if (parseDooyooDe && href.match(reg)) {
                        this.parseDooyooDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GeizkragenDe.isDetailPage));
                    if (parseGeizkragenDe && href.match(reg)) {
                        this.parseGeizkragenDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.YategoDe.isPage));
                    if (parseYategoDe && href.match(reg)) {
                        this.parseYategoDe(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.MyToysDe.isDetailPage));
                    if (parseMyToysDe && href.match(reg)) {
                        this.parseMyToysDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.KarstadtDe.isDetailPage));
                    if (parseKarstadtDe && href.match(reg)) {
                        this.parseKarstadtDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.Discount24De.isDetailPage));
                    if (parseDiscount24De && href.match(reg)) {
                        this.parseDiscount24De(showInFrame, true);
                        return;
                    }
                    
                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PreistrendDe.isDetailPage));
                    if (parsePreistrendDe && href.match(reg)) {
                        this.parsePreistrendDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.EvendiDe.isDetailPage));
                    if (parseEvendiDe && href.match(reg)) {
                        this.parseEvendiDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.ArgosCoUk.isDetailPage));
                    if (parseArgosCoUk && href.match(reg)) {
                        this.parseArgosCoUk(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PriceRunnerCoUk.isDetailPage));
                    if (parsePriceRunnerCoUk && href.match(reg)) {
                        this.parsePriceRunnerCoUk(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PriceGrabberCom.isDetailPage));
                    if (parsePriceGrabberCom && href.match(reg)) {
                        this.parsePriceGrabberCom(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.ShopperCom.isDetailPage));
                    if (parseShopperCom && href.match(reg)) {
                        this.parseShopperCom(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GaleriaKaufhofDe.isDetailPage));
                    if (parseGaleriaKaufhofDe && href.match(reg)) {
                        this.parseGaleriaKaufhofDe(showInFrame, true);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.AmazonDe.isPage));
                    if (parseAmazonDE && href.match(reg)) {
                        this.parseAmazonDe(showInFrame, false);
                    }
                    
                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.AmazonCoUk.isPage));
                    if (parseAmazonCoUk && href.match(reg)) {
                        this.parseAmazonCoUk(showInFrame, false);
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.AmazonCom.isPage));
                    if (parseAmazonCom && href.match(reg)) {
                        this.parseAmazonCom(showInFrame, false);
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.OttoDe.isPage));
                    if (parseOtto && href.match(reg)) {
                        this.parseOttoDe(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GuenstigerDe.isPage));
                    if (parseGuenstiger && href.match(reg)) {
                        this.parseGuenstiger(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.ElectronicScoutDe.isPage));
                    if (parseElectronicScout && href.match(reg)) {
                        this.parseElectronicScout(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.TOnlineShoppingDe.isPage));
                    if (parseTOnlineShopping && href.match(reg)) {
                        this.parseTOnlineShopping(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.QuelleDe.isPage));
                    if (parseQuelle && href.match(reg)) {
                        this.parseQuelle(showInFrame, false);
                        return;
                    }
                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.CiaoDe.isPage));
                    if (parseCiaoDe && href.match(reg)) {
                        this.parseCiaoDe(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PreisvergleichDe.isPage));
                    if (parsePreisvergleichDe && href.match(reg)) {
                        this.parsePreisvergleichDe(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.IdealoDe.isPage));
                    if (parseIdealoDe && href.match(reg)) {
                        this.parseIdealoDe(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.IdealoCoUk.isPage));
                    if (parseIdealoCoUk && href.match(reg)) {
                        this.parseIdealoCoUk(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.DooyooDe.isPage));
                    if (parseDooyooDe && href.match(reg)) {
                        this.parseDooyooDe(showInFrame, false);
                        return;
                    }

		    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GeizkragenDe.isPage));
                    if (parseGeizkragenDe && href.match(reg)) {
                        this.parseGeizkragenDe(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.SmartShoppingDe.isPage));
                    if (parseSmartShoppingDe && href.match(reg)) {
                        this.parseSmartShoppingDe(showInFrame);
                        return;
                    }


                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.MyToysDe.isPage));
                    if (parseMyToysDe && href.match(reg)) {
                        this.parseMyToysDe(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.KarstadtDe.isPage));
                    if (parseKarstadtDe && href.match(reg)) {
                        this.parseKarstadtDe(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.Discount24De.isPage));
                    if (parseDiscount24De && href.match(reg)) {
                        this.parseDiscount24De(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PreistrendDe.isPage));
                    if (parsePreistrendDe && href.match(reg)) {
                        this.parsePreistrendDe(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.EvendiDe.isPage));
                    if (parseEvendiDe && href.match(reg)) {
                        this.parseEvendiDe(showInFrame);
                        return;
                    }

		    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.ArgosCoUk.isPage));
                    if (parseArgosCoUk && href.match(reg)) {
                        this.parseArgosCoUk(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PriceRunnerCoUk.isPage));
                    if (parsePriceRunnerCoUk && href.match(reg)) {
                        this.parsePriceRunnerCoUk(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PriceGrabberCom.isPage));
                    if (parsePriceGrabberCom && href.match(reg)) {
                        this.parsePriceGrabberCom(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.GaleriaKaufhofDe.isPage));
                    if (parseGaleriaKaufhofDe && href.match(reg)) {
                        this.parseGaleriaKaufhofDe(showInFrame, false);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.FroogleDe.isPage));
                    if (parseFroogleDe && href.match(reg)) {
                        this.parseFroogleDe(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.FroogleCoUk.isPage));
                    if (parseFroogleCoUk && href.match(reg)) {
                        this.parseFroogleCoUk(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.FroogleCom.isPage));
                    if (parseFroogleCom && href.match(reg)) {
                        this.parseFroogleCom(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.ShopzillaDe.isPage));
                    if (parseShopzillaDe && href.match(reg)) {
                        this.parseShopzillaDe(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.ShopzillaCom.isPage));
                    if (parseShopzillaCom && href.match(reg)) {
                        this.parseShopzillaCom(showInFrame);
                        return;
                    }

                    reg = new RegExp(this.replaceSpecialCharacters(FRegularExpressions.PreisroboterDe.isPage));
                    if (parsePreisroboterDe && href.match(reg)) {
                        this.parsePreisroboterDe(showInFrame);
                        return;
                    }

                }  
            }
            } catch (error) { }
        }
};

gBrowser.addEventListener("load", ebayInPageLoad, true);
window.addEventListener("unload", ebayInPageUnload, false);
