var eBayPrefManager = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

function getIntValueForPreferenceString(prefstring, defaultValue) {
    if (eBayPrefManager.prefHasUserValue(prefstring)){
        return eBayPrefManager.getIntPref(prefstring);  
    }  
    return defaultValue;
}

function getBoolValueForPreferenceString(prefstring, defaultValue) {
    if (eBayPrefManager.prefHasUserValue(prefstring)){
        return eBayPrefManager.getBoolPref(prefstring);
    }
    return defaultValue;
}

function getCharValueForPreferenceString(prefstring, defaultValue) {
    if (eBayPrefManager.prefHasUserValue(prefstring)){
        return eBayPrefManager.getCharPref(prefstring);
    }
    return defaultValue;
}


function eBayInPageLoadOptions() {
    try {
        var elem = document.getElementById("eBayInPageRadioGroup");
        elem.selectedIndex = getIntValueForPreferenceString(elem.getAttribute("prefstring"), 1);


        if (!gShowPPResults) {
           elem = document.getElementById("ebayInPageShowPPTab");
           elem.style.visibility = "hidden";
           elem = document.getElementById("eBayInPageRadioGroupDefaultTabPP");
           elem.style.visibility = "hidden";
        }
// **************************************deutsche Seiten*******************************************************
        elem = document.getElementById("ebayInPageParseGoogleDE");  //default always true
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseGoogleCom");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseGoogleCoUk");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseAmazonDE");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseAmazonCoUk");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseAmazonCom");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseOtto");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseGuenstiger");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseElectronicScout");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseTOnlineShopping");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseQuelle");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseCiaoDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParsePreisvergleichDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseIdealoDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseIdealoCoUk");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseDooyooDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseGeizkragenDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseYategoDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseSmartShoppingDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseMyToysDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseKarstadtDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseDiscount24De");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParsePreistrendDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseEvendiDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseFroogleDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseFroogleCoUk");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseFroogleCom");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseShopzillaDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseShopzillaCom");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParsePreisroboterDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseGaleriaKaufhofDe");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseShopperCom");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParseArgosCoUk");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParsePriceRunnerCoUk");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageParsePriceGrabberCom");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("eBayInPageRadioGroupDefaultTab");
        elem.selectedIndex = getIntValueForPreferenceString(elem.getAttribute("prefstring"), 0);

        elem = document.getElementById("ebayInPageShowEbayTab");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageShowSDCTab");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageShowAmazonTab");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), true);

        elem = document.getElementById("ebayInPageShowPPTab");
        elem.checked = getBoolValueForPreferenceString(elem.getAttribute("prefstring"), gShowPPResults);

        elem = document.getElementById("ebayInPageShowEbayMarketplace");

        var value = getIntValueForPreferenceString(elem.getAttribute("prefstring"), gDefaultEbaySiteID);
        var items = elem.firstChild.childNodes;
	for (i=0; i <= 2; i++) {
		if (items[i].value == value) {
				elem.selectedIndex = i;
		}
	}
        elem = document.getElementById("ebayInPageShowAmazonMarketplace");
        var value = getCharValueForPreferenceString(elem.getAttribute("prefstring"), gDefaultAmazonCountry);

        var items = elem.firstChild.childNodes;
	for (i=0; i <= 2; i++) {
		if (items[i].value == value) {
				elem.selectedIndex = i;
		}
	}

        elem = document.getElementById("ebayInPageShowSDCMarketplace");
        var value = getCharValueForPreferenceString(elem.getAttribute("prefstring"), gDefaultSDCCountry);

        var items = elem.firstChild.childNodes;
	for (i=0; i <= 2; i++) {
		if (items[i].value == value) {
				elem.selectedIndex = i;
		}
	}


    }
        catch (e) {/*alert(e);*/}

    return true;
}

function eBayInPageSaveOptions() {
    try {
        var showOneTab = false;

        var elem = document.getElementById("eBayInPageRadioGroup");
        eBayPrefManager.setIntPref(elem.getAttribute("prefstring"), elem.selectedIndex);

        elem = document.getElementById("ebayInPageParseGoogleDE");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseGoogleCoUk");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseGoogleCom");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseAmazonDE");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseAmazonCoUk");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseAmazonCom");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseOtto");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);
              
        elem = document.getElementById("ebayInPageParseGuenstiger");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseElectronicScout");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseTOnlineShopping");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseQuelle");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseCiaoDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParsePreisvergleichDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseIdealoDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseIdealoCoUk");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseDooyooDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseGeizkragenDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseYategoDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseSmartShoppingDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseMyToysDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseKarstadtDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseDiscount24De");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParsePreistrendDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseEvendiDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseFroogleDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseFroogleCom");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseFroogleCoUk");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseShopzillaDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseShopzillaCom");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParsePreisroboterDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseGaleriaKaufhofDe");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseShopperCom");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParseArgosCoUk");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParsePriceRunnerCoUk");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("ebayInPageParsePriceGrabberCom");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);

        elem = document.getElementById("eBayInPageRadioGroupDefaultTab");
        eBayPrefManager.setIntPref(elem.getAttribute("prefstring"), elem.selectedIndex);

        elem = document.getElementById("ebayInPageShowEbayTab");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);
        showOneTab = elem.checked;

        elem = document.getElementById("ebayInPageShowSDCTab");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);
        showOneTab = showOneTab || elem.checked;

        elem = document.getElementById("ebayInPageShowAmazonTab");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);
        showOneTab = showOneTab || elem.checked;

        elem = document.getElementById("ebayInPageShowPPTab");
        eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), elem.checked);
        showOneTab = showOneTab || elem.checked;
        
        if (!showOneTab) {
            elem = document.getElementById("ebayInPageShowEbayTab");
            eBayPrefManager.setBoolPref(elem.getAttribute("prefstring"), true);
        }

        elem = document.getElementById("ebayInPageShowEbayMarketplace");
        eBayPrefManager.setIntPref(elem.getAttribute("prefstring"), elem.value);

        elem = document.getElementById("ebayInPageShowAmazonMarketplace");
        eBayPrefManager.setCharPref(elem.getAttribute("prefstring"), elem.value);

        elem = document.getElementById("ebayInPageShowSDCMarketplace");
        eBayPrefManager.setCharPref(elem.getAttribute("prefstring"), elem.value);

    }
        catch (e) { }

    return true;
}

